SignerInfoGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class SignerInfoGenerator

- java.lang.Object
- - org.bouncycastle.cms.SignerInfoGenerator

-     public class SignerInfoGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerInfoGenerator(SignerInfoGenerator original, CMSAttributeTableGenerator sAttrGen, CMSAttributeTableGenerator unsAttrGen)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.cms.SignerInfo` | `generate(org.bouncycastle.asn1.ASN1ObjectIdentifier contentType)`
    `X509CertificateHolder` | `getAssociatedCertificate()`
    `byte[]` | `getCalculatedDigest()`
    `java.io.OutputStream` | `getCalculatingOutputStream()`
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getDigestAlgorithm()`
    `int` | `getGeneratedVersion()`
    `org.bouncycastle.asn1.cms.SignerIdentifier` | `getSID()`
    `CMSAttributeTableGenerator` | `getSignedAttributeTableGenerator()`
    `CMSAttributeTableGenerator` | `getUnsignedAttributeTableGenerator()`
    `boolean` | `hasAssociatedCertificate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerInfoGenerator

          public SignerInfoGenerator(SignerInfoGenerator original,
                             CMSAttributeTableGenerator sAttrGen,
                             CMSAttributeTableGenerator unsAttrGen)

  - ### Method Detail

    - #### getSID

          public org.bouncycastle.asn1.cms.SignerIdentifier getSID()

    - #### getGeneratedVersion

          public int getGeneratedVersion()

    - #### hasAssociatedCertificate

          public boolean hasAssociatedCertificate()

    - #### getAssociatedCertificate

          public X509CertificateHolder getAssociatedCertificate()

    - #### getDigestAlgorithm

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getDigestAlgorithm()

    - #### getCalculatingOutputStream

          public java.io.OutputStream getCalculatingOutputStream()

    - #### generate

          public org.bouncycastle.asn1.cms.SignerInfo generate(org.bouncycastle.asn1.ASN1ObjectIdentifier contentType)
                                                        throws CMSException

      Throws:
        `CMSException`

    - #### getCalculatedDigest

          public byte[] getCalculatedDigest()

    - #### getSignedAttributeTableGenerator

          public CMSAttributeTableGenerator getSignedAttributeTableGenerator()

    - #### getUnsignedAttributeTableGenerator

          public CMSAttributeTableGenerator getUnsignedAttributeTableGenerator()